Skip to main content
`Ctrl`+`K`

# DMLabelGetValueISGlobal

Get an `IS` of all values that the `DMlabel` takes across all ranks

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetValueISGlobal(MPI_Comm comm, DMLabel label, PetscBool get_nonempty, IS *values)

Collective

## Input Parameter

- comm - MPI communicator to collect values

- label - the `DMLabel`, may be `NULL` for ranks in `comm` which do not have the corresponding `DMLabel`

- get_nonempty - whether to get nonempty stratum values (akin to `DMLabelGetNonEmptyStratumValuesIS()`)

## Output Parameter

- values - the value `IS`

## Notes

The `values` should be destroyed when no longer needed.

This is similar to `DMLabelGetValueIS()` and `DMLabelGetNonEmptyStratumValuesIS()`, but gets the (nonempty) values across all ranks in `comm`.

## See Also

`DMLabel`, `DM`, `DMLabelGetValueIS()`, `DMLabelGetNonEmptyStratumValuesIS()`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelSetValue()`, `DMLabelClearValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages